This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464709 - 8250_pci driver is no longer built-in in 4.11.x causing serial console not to be activated
8250_pci driver is no longer built-in in 4.11.x causing serial console not to...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-24 20:04 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2017-07-07 18:59 EDT (History)
9 users (show)

See Also:
Fixed In Version: kernel-4.11.7-300.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-07 18:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2017-06-24 20:04:47 EDT
Description of problem:
The 8250_pci driver was changed from built-in to module in 4.11.x series. This causes serial console not work for serial ports driven by this driver unless
dracut --force-drivers 8250_pci
is used to build initramfs image.

In particular, the serial port is activated after rootfs is mounted, which makes the kernel display the LUKS password prompt and wait for password input on tty0 only. Another side effect is that no kernel output goes to the serial console and systemd doesn't activate a getty there, either.

Please revert this change or fix dracut to add this module automatically to initramfs.

Version-Release number of selected component (if applicable):
4.11.6-201.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install any serial port card supported by the 8250_pci driver, e.g. http://www.i-tec.cz/index.php?t=3&v=103 which is identified as "MosChip Semiconductor Technology Ltd. PCIe 9912 Multi-I/O Controller"
2. Edit the following lines in /etc/default/grub"
GRUB_TERMINAL_INPUT="console serial"
GRUB_TERMINAL_OUTPUT="console serial"
GRUB_SERIAL_COMMAND="serial --speed=115200 --unit=4 --word=8 --parity=no --stop=1"
GRUB_CMDLINE_LINUX_DEFAULT="LANG=en_GB.UTF=8 console=tty0 console=ttyS4,115200n8"

3. Install any 4.11.x kernel.
4. Boot the newly installed kernel

Actual results:
No output on ttyS4 serial console.

Expected results:
LUKS password prompt is displayed on ttyS4 and password input is accepted there.

Additional info:
This was changed after 4.10.17:
diff -u /boot/config-4.10.17-200.fc25.x86_64 /boot/config-4.11.6-201.fc25.x86_64
[...]
@@ -3511,7 +3546,8 @@
 # CONFIG_SERIAL_8250_FINTEK is not set
 CONFIG_SERIAL_8250_CONSOLE=y
 CONFIG_SERIAL_8250_DMA=y
-CONFIG_SERIAL_8250_PCI=y
+CONFIG_SERIAL_8250_PCI=m
+CONFIG_SERIAL_8250_EXAR=m
 CONFIG_SERIAL_8250_CS=m
 CONFIG_SERIAL_8250_NR_UARTS=32
 CONFIG_SERIAL_8250_RUNTIME_UARTS=32
@@ -3523,7 +3559,7 @@
 # CONFIG_SERIAL_8250_FSL is not set
 CONFIG_SERIAL_8250_DW=y
 CONFIG_SERIAL_8250_RT288X=y
-CONFIG_SERIAL_8250_LPSS=y
+CONFIG_SERIAL_8250_LPSS=m
 CONFIG_SERIAL_8250_MID=y
 CONFIG_SERIAL_8250_MOXA=m
 
[...]
Comment 1 Dominik 'Rathann' Mierzejewski 2017-06-25 05:58:43 EDT
f26 and rawhide appear to suffer from the same issue, as they both have CONFIG_SERIAL_8250_PCI=m in kernel-x86_64.config.
Comment 2 Laura Abbott 2017-06-26 10:30:56 EDT
There was a change in 4.11 to let the SERIAL_8250 options be modular but I guess that doesn't work for Fedora. I changed it back to being built in.
Comment 3 Fedora Update System 2017-06-26 17:50:33 EDT
kernel-4.11.7-300.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-44d91780a0
Comment 4 Fedora Update System 2017-06-26 17:51:48 EDT
kernel-4.11.7-200.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-65f852596f
Comment 5 Fedora Update System 2017-06-26 17:52:51 EDT
kernel-4.11.7-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbfb70fc1d
Comment 6 Dominik 'Rathann' Mierzejewski 2017-06-27 06:13:49 EDT
(In reply to Laura Abbott from comment #2)
> There was a change in 4.11 to let the SERIAL_8250 options be modular but I
> guess that doesn't work for Fedora. I changed it back to being built in.

Thank you. I guess it could work if dracut were able to add the required module to initramfs automatically. I opened a separate bug against dracut for that.
Comment 7 Fedora Update System 2017-06-27 13:20:49 EDT
kernel-4.11.7-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbfb70fc1d
Comment 8 Fedora Update System 2017-06-27 13:25:52 EDT
kernel-4.11.7-200.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-65f852596f
Comment 9 Fedora Update System 2017-06-27 16:25:22 EDT
kernel-4.11.7-300.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-44d91780a0
Comment 10 Dominik 'Rathann' Mierzejewski 2017-06-29 07:11:44 EDT
(In reply to Laura Abbott from comment #2)
> There was a change in 4.11 to let the SERIAL_8250 options be modular but I
> guess that doesn't work for Fedora. I changed it back to being built in.

FYI, this was apparently fixed in dracut shortly after I opened a ticket upstream (https://github.com/dracutdevs/dracut/issues/248), so if you'd like to modularize these again, you can do so after the fix trickles down to Fedora. I haven't verified the fix yet, though.
Comment 11 Fedora Update System 2017-06-29 20:49:45 EDT
kernel-4.11.7-200.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 krp 2017-06-30 10:46:41 EDT
I have updated to kernel-4.11.7-200.fc25, but i have still black display on boot instead suggestions to decode image
Comment 13 Fedora Update System 2017-06-30 10:53:50 EDT
kernel-4.11.8-100.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4880e0f183
Comment 14 Fedora Update System 2017-07-01 23:23:01 EDT
kernel-4.11.8-100.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4880e0f183
Comment 15 Fedora Update System 2017-07-03 20:21:02 EDT
kernel-4.11.8-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2017-07-07 18:59:59 EDT
kernel-4.11.7-300.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.